Cannot run filezilla after installation on Fedora 24

asked 2016-08-21 05:14:24 -0600

powergame gravatar image

updated 2016-08-21 06:27:48 -0600

Trying to get an FTP client on Fedora 24, I installed FileZilla using dnf command as follows:

$ sudo dnf install filezilla
Failed to synchronize cache for repo 'davidva-gcc49', disabling.
Last metadata expiration check: 2:01:48 ago on Sun Aug 21 12:30:53 2016.
Dependencies resolved.
================================================================================
 Package             Arch          Version                 Repository      Size
================================================================================
Installing:
 filezilla           x86_64        3.17.0.1-2.fc24         updates        4.0 M
 libfilezilla        x86_64        0.5.2-1.fc24            fedora          48 k
 pugixml             x86_64        1.7-2.fc24              fedora          92 k
 wxBase3             x86_64        3.0.2-19.fc24           fedora         1.1 M
 wxGTK3              x86_64        3.0.2-19.fc24           fedora         5.3 M

Transaction Summary
================================================================================
Install  5 Packages

Total download size: 11 M
Installed size: 38 M
Is this ok [y/N]: y
Downloading Packages:
(1/5): libfilezilla-0.5.2-1.fc24.x86_64.rpm     6.1 kB/s |  48 kB     00:07    
(2/5): pugixml-1.7-2.fc24.x86_64.rpm             11 kB/s |  92 kB     00:08    
(3/5): filezilla-3.17.0.1-2.fc24.x86_64.rpm     443 kB/s | 4.0 MB     00:09    
(4/5): wxBase3-3.0.2-19.fc24.x86_64.rpm         231 kB/s | 1.1 MB     00:04    
(5/5): wxGTK3-3.0.2-19.fc24.x86_64.rpm          161 kB/s | 5.3 MB     00:33    
--------------------------------------------------------------------------------
Total                                           238 kB/s |  11 MB     00:45     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : wxBase3-3.0.2-19.fc24.x86_64                                1/5 
  Installing  : wxGTK3-3.0.2-19.fc24.x86_64                                 2/5 
  Installing  : pugixml-1.7-2.fc24.x86_64                                   3/5 
  Installing  : libfilezilla-0.5.2-1.fc24.x86_64                            4/5 
  Installing  : filezilla-3.17.0.1-2.fc24.x86_64                            5/5 
  Verifying   : filezilla-3.17.0.1-2.fc24.x86_64                            1/5 
  Verifying   : libfilezilla-0.5.2-1.fc24.x86_64                            2/5 
  Verifying   : pugixml-1.7-2.fc24.x86_64                                   3/5 
  Verifying   : wxBase3-3.0.2-19.fc24.x86_64                                4/5 
  Verifying   : wxGTK3-3.0.2-19.fc24.x86_64                                 5/5 

Installed:
  filezilla.x86_64 3.17.0.1-2.fc24       libfilezilla.x86_64 0.5.2-1.fc24      
  pugixml.x86_64 1.7-2.fc24              wxBase3.x86_64 3.0.2-19.fc24          
  wxGTK3.x86_64 3.0.2-19.fc24           

Complete!

But, then it fails on start with the following error:

 Fatal Error: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1009,wx containers,compatible with 2.8),
and wxCore used 3.0 (wchar_t,compiler with C++ ABI 1010,wx containers,compatible with 2.8).

I do not know what the problem is. Also, Problem Reporting says that this cannot be reported:
image description In fact, I had a failed attempt to build FileZilla locally, but once I failed, I tried to remove any leftovers from directories like libfilezila, I also remove wxBase and wxBase3, and installed filezilla again using sudo dnf install filezilla, but the error persists. Any thoughts on how to solve this?

edit retag flag offensive close merge delete